vncpasswd(1)

NAME
vncpasswd - set passwords for VNC server

SYNOPSIS
vncpasswd [-v] [file]
vncpasswd -t [-v]
vncpasswd -f
vncpasswd -o [-v] [-display VNC-display]
vncpasswd -c [-display VNC-display]
vncpasswd -a user [-v] [-display VNC-display]
vncpasswd -r user [-display VNC-display]

DESCRIPTION
The vncpasswd utility can be used to create and change passwords for Xvnc (the TurboVNC virtual X server.) Xvnc uses these passwords when started with the -rfbauth command line option (or when started from the vncserver script.) vncpasswd allows one to enter a primary VNC password and an optional view-only password. Xvnc will ignore mouse and keyboard input from clients who authenticate with the view-only password. The password filename defaults to $HOME/.vnc/passwd, unless the -t command line option was used (see the OPTIONS section below.) The $HOME/.vnc/ directory will be created if it does not exist. Each password has to be longer than five characters (unless the -f command line option was used-- see its description below.) Only the first eight characters are significant. If the primary password is too short, then vncpasswd will abort. If the view-only password is too short, then only the primary password will be saved. Unless a filename was explicitly provided in the command line, then this utility may perform certain sanity checks to prevent writing a password file into some hazardous place.

ONE-TIME PASSWORD (OTP) SUPPORT
If the VNC server is configured to support one-time passwords, then vncpasswd can be used to generate new one-time passwords for both full control and, optionally, view-only access. A one-time password is valid for one successful connection from a VNC viewer to the VNC server session. For each subsequent connection, a new one-time password must be generated. vncpasswd can also be used to clear any one-time passwords that are currently enabled for a VNC server session.

USER ACCESS CONTROL LIST SUPPORT
If the VNC server is configured to support a user access control list (ACL) for the PAM user/password authentication method, then vncpasswd can be used to add users to or remove users from the ACL. Be careful not to remove yourself from the list, or you will not be able to connect again until you re-add yourself.

OPTIONS

-t  Write passwords into /tmp/$USER-vnc/passwd, creating the /tmp/$USER-vnc/ directory if it does not exist and checking the permissions on that directory (the mode must be 700.) This option can help to improve security if your home directory is shared on the network (e.g. when using NFS.)

-f  Filter mode. Read plain-text passwords from stdin, and write encrypted versions to stdout. One or two passwords (full-control and view-only) can be supplied in the input stream, with a new line terminating each password. Note that in filter mode, short or even empty passwords will be silently accepted.

-v  Also prompt for a view-only password, or generate a one-time view-only password. If adding a user to the user ACL, then the -v option specifies that the user should be granted view-only access instead of full control.

-display VNC-display
    This option specifies the name of the VNC server session to use when setting/clearing one-time passwords or adding users to/removing users from the ACL. If VNC-display is not specified, then it defaults to the value of the DISPLAY environment variable.

-o  Generate a one-time full control password for VNC-display.

-c  Clear any one-time passwords on VNC-display.

-a user
    Add user to VNC-display's user ACL. The -v option can also be specified in order to restrict this user's access to view-only.

-r user
    Remove user from VNC-display's user ACL.

EXIT CODES
If at least one password was saved successfully, or if the one-time password or user ACL operation succeeded, then vncpasswd will exit with status 0. Otherwise, it will exit with status 1.

SEE ALSO
vncserver(1), Xvnc(1), vncviewer(1), vncconnect(1)

AUTHORS
VNC was originally developed at AT&T Laboratories Cambridge. TightVNC additions were implemented by Constantin Kaplinsky. TurboVNC, based on TightVNC, is provided by The VirtualGL Project. Many other people participated in development, testing and support. Man page authors:
Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>
Tim Waugh <twaugh@redhat.com>
Constantin Kaplinsky <const@tightvnc.com>
D. R. Commander <information@virtualgl.org>
Craig Ruff <cruff@ucar.edu>